Subject: RE: mboned: draft-ietf-mboned-msdp-deploy-06.txt comments...

From: "Michael McBride \(mmcbride\)" <[email-masked]>
Date: Fri, 21 Apr 2006 16:36:05 -0700

This draft is in the rfc editors queue. We can certainly work on enhancing this work once that process is completed. Improving existing vendor whitepapers, by including the good points you raise, is probably the answer for now.

mike 

-----Original Message-----
From: Jerome Durand [mailto:[email-masked]] 
Sent: Friday, April 21, 2006 2:44 AM
To: Jerome Durand
Cc: [email-masked]; Michael McBride (mmcbride); David Meyer; John Meylor (jmeylor)
Subject: Re: mboned: draft-ietf-mboned-msdp-deploy-06.txt comments...

Hi all,

I think there weren't many replies on the MSDP deployment scenarios. I am raising more questions than giving answers at this stage... so not really able to provide much text unfortunately. I am just wondering how you guys would like to make progress on that?

Thanks

Jerome

Jerome Durand wrote:

> As discussed during the MBoned WG meeting... I'm trying to redesign 
> MSDP in my ISP network and I tried to use the draft for finding the 
> best way to do it. Here are my comments:
> 
> 1°) First this doc is of great importance. It is very difficult to 
> find information about ways to deploy MSDP. Thanks to the authors! 
> (even if I was a bit sad when I saw there was no ISP authoring that 
> stuff...)
> 
> 2°) In our setup we have multiple route-reflectors, as in most of 
> networks. Section 3.4 should explain the implication of having 
> multiple route-reflectors.
> 
> 3°) Section 2.2 says it is common to have fewer MSDP routers, located 
> deeper in the middle of the network. It should be mentionned how then 
> redundancy is achieved for MSDP customers: after discussing with Mike, 
> appears that customers can setup several MSDP peerings. This raises 
> maybe questions:
>   - multi-attached customers?
>   - MBGP implications?
>   - loops avoidance?
>   - peering between the inner MSDP routers? (mesh-group, pre-RFC3618,
> RFC3618??)
> 
> 3bis°) What if the customer also has several MSDP core routers?
> 
> 
>   MSDP-cust-A---                     ---------MSDP-ISP-1
>                 \                   /
>               border-cust----border-ISP
>                 /                   \
>   MSDP-cust-B---                     ---------MSDP-ISP-2
> 
> 
> (note that this scenario will more likely happen when you interconnect 
> 2
> ISPs) How do we setup the MSDP peerings in that case? Do we have 4 
> peerings?
> MSDP-cust-A  <->  MSDP-ISP-1
> MSDP-cust-A  <->  MSDP-ISP-2
> MSDP-cust-B  <->  MSDP-ISP-1
> MSDP-cust-B  <->  MSDP-ISP-2
> 
> These are real questions raised by a real operator trying to deploy 
> the thing :)
> 
> 4°) General comment about the way things are presented in the doc... I 
> would have preferred to see a doc having the title "how to deploy 
> MSDP?". In other words, I think the doc does not give enough 
> recommendations on the choices to make when designing MSDP. It is too 
> much open to any design solution. After having read the doc I still 
> have too many options.
> 
> I'm happy to work on real text at a latter stage.
> 
> Jerome
> _______________________________________________________________
> user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
> web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/

---

From: Marshall Eubanks <[email-masked]>
Date: Sat, 22 Apr 2006 09:15:58 -0400

Hello;

On Apr 21, 2006, at 7:36 PM, Michael McBride ((mmcbride)) wrote:

> This draft is in the rfc editors queue. We can certainly work on  
> enhancing this work once that process is

Are you contemplating a successor or follow-on RFC ?

Marshall

> completed. Improving existing vendor whitepapers, by including the  
> good points you raise, is probably the answer for now.
>
> mike
>
> I think there weren't many replies on the MSDP deployment  
> scenarios. I am raising more questions than giving answers at this  
> stage... so not really able to provide much text unfortunately. I  
> am just wondering how you guys would like to make progress on that?
>
> Thanks
>
> Jerome
>
>
> Jerome Durand wrote:
>

---

From: Mike McBride <[email-masked]>
Date: Sat, 22 Apr 2006 11:37:30 -0700 (PDT)

>> This draft is in the rfc editors queue. We can certainly work on enhancing 
>> this work once that process is
>

If Jerome is motivated to pursue a successor to this impending RFC, yes, I 
would assist him in that effort.

mike

> Marshall
>
>> completed. Improving existing vendor whitepapers, by including the good 
>> points you raise, is probably the answer for now.
>> 
>> mike
>> 
>> I think there weren't many replies on the MSDP deployment scenarios. I am 
>> raising more questions than giving answers at this stage... so not really 
>> able to provide much text unfortunately. I am just wondering how you guys 
>> would like to make progress on that?
>> 
>> Thanks
>> 
>> Jerome
>> 
>> 
>> Jerome Durand wrote:
>>